<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="MEAB_Transformer">
    <refnamediv>
        <refname>MEAB_Transformer</refname>
        <refpurpose>MEAB_Transformer Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/MEAB_Transformer.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_MEAB_Transformer">
        <title>Description</title>
        <para>
            Transformer with two ports
        </para>
    </refsection>
    <refsection id="Palette_MEAB_Transformer">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Electrical_pal">Electrical - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/MEAB_Transformer_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">L1 [H] : Primary inductance</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">L2 [H] : Secondary inductance</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">M [H] : Coupling inductance</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_MEAB_Transformer">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'p1'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'n1'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'p2'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'n2'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'L1'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'L2'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'M'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_MEAB_Transformer">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>MEAB_Transformer.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_MEAB_Transformer">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Modelica.Electrical.Analog.Basic.Transformer in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
